### Virtual Method

# Clapper Stream internal_stream_updated

#### Declaration [src]

    void
    internal_stream_updated (
      ClapperStream* stream,
      GstCaps* caps,
      GstTagList* tags
    )

#### Description [src]

This function is called when internal `GstStream` gets updated. Meant for internal usage only. Used for subclasses to update their properties accordingly.

Note that this vfunc is called from different threads.

#### Parameters

`caps`

  Type: `GstCaps`

  An updated `GstCaps` if changed.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`tags`

  Type: `GstTagList`

  An updated `GstTagList` if changed.

  The argument can be `NULL`.
  The data is owned by the caller of the method.